
--- Gauge Cluster Emmisives ---

--- Exterior Emissives ---

[LIGHT_HEADLIGHT_0]
AFFECTS_TRACK=1
BOUND_EMISSIVE_MAX=500
BOUND_EXP=0.2
COLOR=1, 1, 1, 10
DIFFUSE_CONCENTRATION=0.88
DIRECTION=0, -0.2, 1
EXTERIOR_ONLY=0
FADE_AT=450
FADE_SMOOTH=50
INTERIOR_ONLY=0
LOWBEAM_RANGE_MAX=230
LOWBEAM_RANGE_MULT=0.8
LOWBEAM_RANGE_ONCOMING_MULT=0.4
MIRROR=0.538526
MIRROR_DIRECTION=1
OFF_FADE_MULT=0.3
OFF_MIRROR=0.538526
OFF_MULT=0
OFF_POSITION=0, 0.568216, 1.74877
OFF_RANGE_MULT=0.3
POPUP_ENABLED=0
POSITION=0, 0.55, 1.95
RANGE=250
RANGE_GRADIENT_OFFSET=0
SECOND_SPOT=80
SECOND_SPOT_INTENSITY=1
SECOND_SPOT_RANGE=20
SECOND_SPOT_SHARPNESS=0.0
SECOND_SPOT_SKIP=0.0
SPECULAR_MULT=1
SPOT=65
SPOT_EDGE=0.0922464, 0.0919776, 0.09144
SPOT_EDGE_SHARPNESS=21.2
SPOT_SHARPNESS=0
SPOT_UP=0.02, 0.999847, 0

[LIGHT_EXTRA_0_REARLIGHTS]
BOUND_TO=EXT_TAILLIGHT_BULB
BOUND_EMISSIVE_MAX=30
BOUND_EXP=1
POSITION=0, 0.63, -2.2
MIRROR=0.61
DIRECTION=0.0, -0.03, -1
AFFECTS_TRACK=1
SELF_LIGHTNING=1
EXTERIOR_ONLY=0
INTERIOR_ONLY=0
SPECULAR_MULT=2
DIFFUSE_CONCENTRATION=0.88
SPOT=170
LAG=0.3
SPOT_SHARPNESS=0.2
FADE_AT=450
FADE_SMOOTH=5
RANGE=4
RANGE_GRADIENT_OFFSET=0.25
COLOR=1.5, 0, 0, 2

[EMISSIVE_BRAKE_1]
NAME=INT_BRAKE_REAR_CENTER
COLOR = 5,0,0
LAG = 0.7
SIMULATE_HEATING = 1
LOCATION = REAR
FALLBACK_HEADLIGHTS_COLOR = 0,0,0,0
CAST_LIGHT = 1

[EMISSIVE_EXTRA_B_0]
/high inside/
BIND_TO_EXTRA_B=1
BIND_TO_HEADLIGHTS=0
NAME=EXT_HEADLIGHT_INNER_INSIDE, EXT_HEADLIGHT_INNER_BULBCOVER, EXT_HEADLIGHT_INNER_BULBCOVER_PLASTIC
COLOR=13,11,4, 11
LAG=0.9
SIMULATE_HEATING=3
LOCATION=FRONT
CAST_LIGHT=1
CLUSTER_THRESHOLD=0.5

[LIGHT_EXTRA_1]
BIND_TO_EXTRA_B=1
COLOR=13,11,4, 1
DIFFUSE_CONCENTRATION=0.9
EXTERIOR_ONLY=0
INTERIOR_ONLY=0
AFFECTS_TRACK=1
FADE_AT=250
FADE_SMOOTH=100
MIRROR=0.46, 0, 0
POSITION=0, -0.1, 2.27
DIRECTION=0, -0.2, 2
RANGE=70
RANGE_GRADIENT_OFFSET=0.10
SPECULAR_MULT=0
SPOT=140
SPOT_SHARPNESS=0.1

[EMISSIVE_HIGHBEAM_0]
NAME = EXT_HEADLIGHT_MIDDLE_INSIDE, EXT_HEADLIGHT_HIGHBEAMBULBS
COLOR=5,5,5, 10
LAG=0.3
SIMULATE_HEATING=0
LOCATION=FRONT
CAST_LIGHT=1
CLUSTER_THRESHOLD=0.5

[EMISSIVE_HIGHBEAM_...]
NAME = EXT_HEADLIGHT_MIDDLE_BULB
COLOR=1,1,1, 20
LAG=0.3
SIMULATE_HEATING=0
LOCATION=FRONT
CAST_LIGHT=1
CLUSTER_THRESHOLD=0.5

[EMISSIVE_LIGHT_0]
NAME=EXT_HEADLIGHT_INNER_GLASS
COLOR=8.8,5,7, 9
LAG=0.3
SIMULATE_HEATING=0
LOCATION=FRONT
CAST_LIGHT=1
CLUSTER_THRESHOLD=0.5
BIND_TO_HEADLIGHTS=1

[EMISSIVE_EXTRA_A_0REARLIGHTS]
NAME=EXT_TAILLIGHT_BULB
COLOR=10,0,0, 2
FALLBACK_HEADLIGHTS_COLOR=10,0,0, 1
FALLBACK_BRAKES_COLOR=10,0,0, 2
FALLBACK_BRAKES_COLOR_HIGHER=1
BIND_TO_EXTRA_A=1
LAG=0.6
SIMULATE_HEATING=0
LOCATION=REAR
CAST_LIGHT=1

[EMISSIVE_BRAKE_1]
NAME=INT_BRAKE_CENTER_INSIDE
COLOR=1.5,0.1,0, 2
LAG=0.3
SIMULATE_HEATING=0
LOCATION=REAR
CAST_LIGHT=1
CLUSTER_THRESHOLD=0.5
BIND_TO_HEADLIGHTS=1

[EMISSIVE_REVERSE_0]
NAME=EXT_TAILLIGHT_REVERSE_BULB
COLOR=2,2,2, 2
LAG=0.3
SIMULATE_HEATING=0
LOCATION=REAR
CAST_LIGHT=1
CLUSTER_THRESHOLD=0.5

--- TurnSignals ---

[EMISSIVE_TURNSIGNAL_LEFT_0]
NAME=dil
COLOR=0, 20, 3, 2 
LAG=0.5
SIMULATE_HEATING=0 
LOCATION=NONE

[EMISSIVE_TURNSIGNAL_LEFT_1]
NAME=EXT_TAILLIGHT_INDICATOR_LEFT_BULB
COLOR=30, 14, 3, 1 
LAG=0.5
SIMULATE_HEATING=0 
LOCATION=NONE

[EMISSIVE_TURNSIGNAL_LEFT_2]
NAME=EXT_INDICATOR_SIDE_LEFT_INSIDES
COLOR=8, 4.5, 0, 1 
LAG=0.5
SIMULATE_HEATING=0 
LOCATION=NONE

[EMISSIVE_TURNSIGNAL_LEFT_3]
NAME=EXT_HEADLIGHT_INDICATOR_FL_BULB
COLOR=8, 4, 0, 0.5 
LAG=0.5
SIMULATE_HEATING=0 
LOCATION=NONE

[EMISSIVE_TURNSIGNAL_RIGHT_0]
NAME=dir
COLOR=0, 20, 3, 2
LAG=0.5
SIMULATE_HEATING=0 
LOCATION=NONE

[EMISSIVE_TURNSIGNAL_RIGHT_1]
NAME=EXT_TAILLIGHT_INDICATOR_RIGHT_BULB
COLOR=30, 14, 3, 1 
LAG=0.5
SIMULATE_HEATING=0 
LOCATION=NONE

[EMISSIVE_TURNSIGNAL_RIGHT_2]
NAME=EXT_INDICATOR_SIDE_RIGHT_INSIDES
COLOR=8, 4.5, 0, 1 
LAG=0.5
SIMULATE_HEATING=0 
LOCATION=NONE

[EMISSIVE_TURNSIGNAL_RIGHT_3]
NAME=EXT_HEADLIGHT_INDICATOR_FR_BULB
COLOR=8, 4, 0, 0.5 
LAG=0.5
SIMULATE_HEATING=0 
LOCATION=NONE

--- SELF LIGHTING ---

//HEADLIGHTS
[SelfLight_Headlights]
BOUND_TO = EXT_HEADLIGHT_INNER_GLASS
POSITION=0, 0.455, 1.89
MIRROR=0.577
SPOT=120
RANGE=0.15
RANGE_GRADIENT_OFFSET = 0.5
COLOR=2,2,2,10
BIND_TO_EXTRA_A=1
BOUND_EMISSIVE_MAX = 1

//HIGHBEAMS
[SelfLight_Headlights]
BOUND_TO = EXT_HEADLIGHT_MIDDLE_BULB
POSITION=0, 0.458, 1.91
MIRROR=0.457
SPOT=120
RANGE=0.15
RANGE_GRADIENT_OFFSET = 0.5
COLOR=2,2,2,15
BIND_TO_EXTRA_A=1
BOUND_EMISSIVE_MAX = 1

//FOGLIGHTS
[SelfLight_Headlights]
BOUND_TO = EXT_HEADLIGHT_INNER_BULBCOVER
POSITION=0, 0.447, 2.02
MIRROR=0.339
SPOT=110
RANGE=0.08
RANGE_GRADIENT_OFFSET = 0.5
COLOR=13,11,4, 1
BIND_TO_EXTRA_B=1
BOUND_EMISSIVE_MAX = 1

//LEFT TURNSIGNAL
[SelfLight_Headlights]
BOUND_TO = EXT_HEADLIGHT_INDICATOR_FL_BULB
POSITION=0.732, 0.451, 1.76
SPOT=120
RANGE=0.35
COLOR=8, 3, 0, 4 
BOUND_EMISSIVE_MAX = 1

//RIGHT TURNSIGNAL
[SelfLight_Headlights]
BOUND_TO = EXT_HEADLIGHT_INDICATOR_FR_BULB
POSITION=-0.732, 0.451, 1.76
SPOT=120
RANGE=0.35
COLOR=8, 3, 0, 4 
BOUND_EMISSIVE_MAX = 1

--- INTERIOR ---

[EMISSIVE_HIGHBEAM_1]
NAME = INT_CLUSTER_HIGHBEAMS
COLOR=0,0,5,2
TOGGLE_VISIBILITY = 1 
INPUT_THRESHOLD = 0.04

[EMISSIVE_TURNSIGNAL_LEFT_4]
NAME=INT_CLUSTER_SIGNALLEFT
TOGGLE_VISIBILITY = 1 
COLOR=0, 5, 0, 5
LAG=0.5
SIMULATE_HEATING=0 
LOCATION=NONE

[EMISSIVE_TURNSIGNAL_RIGHT_4]
NAME=INT_CLUSTER_SIGNALRIGHT
TOGGLE_VISIBILITY = 1 
COLOR=0, 5, 0, 5 
LAG=0.5
SIMULATE_HEATING=0 
LOCATION=NONE

[EMISSIVE_LIGHT_1]
NAME=INT_GAUGES_EMMISIVE
COLOR=3,3,3,1
TOGGLE_VISIBILITY = 1 
INPUT_THRESHOLD = 0.04

[EMISSIVE_LIGHT_2]
NAME=INT_CLIMATE_DECALS
COLOR=1,1,1,1 
INPUT_THRESHOLD = 0.04

[EMISSIVE_LIGHT_3]
NAME=INT_NEEDLE_TEMP, INT_NEEDLE_RPM, INT_NEEDLE_SPEED, INT_NEEDLE_FUEL
COLOR=1,0,0,1 
INPUT_THRESHOLD = 0.04

[EMISSIVE_LIGHT_4]
NAME=EXT_HEADLIGHT_MIDDLE_BULB_PLASTIC
COLOR=15,15,15,8 
INPUT_THRESHOLD = 0.04

[EMISSIVE_LIGHT_5]
NAME=EXT_PLATE_BULBS
COLOR=30,30,30,30 
INPUT_THRESHOLD = 0.04

[EMISSIVE_HAZARD_0]
NAME=INT_WARNING_TRIANGLE_DECAL 
COLOR=5,0,0,1
LAG=0.5
INPUT_THRESHOLD = 0.04

[EMISSIVE_...]
NAME=INT_CLUSTER_BATTERY
TOGGLE_VISIBILITY = 1 
BIND_TO=STALLED
COLOR=5,1,0,3
INPUT_THRESHOLD = 0.04

[EMISSIVE_...]
NAME=INT_CLUSTER_OIL
TOGGLE_VISIBILITY = 1 
BIND_TO=STALLED
COLOR=5,1,0,3
INPUT_THRESHOLD = 0.04

[EMISSIVE_ENGINE_DAMAGE_0]
NAME=INT_CLUSTER_CHECKENGINE
TOGGLE_VISIBILITY = 1 
COLOR=10,5,0,2
INPUT=ENGINE_LIFE
INPUT_THRESHOLD = 900
INPUT_THRESHOLD_INVERSE = 1
LAG=0.2

[EMISSIVE_...]
NAME=INT_CLUSTER_DOORS, INT_CLUSTER_SRS, INT_CLUSTER_TRUNK
TOGGLE_VISIBILITY = 1 
BIND_TO=STALLED
COLOR=5,1,0,3
INPUT_THRESHOLD = 0.04

[EMISSIVE_...]
NAME=DRL
TOGGLE_VISIBILITY = 1 
BIND_TO=STALLED
COLOR=5,1,0,2
INPUT_THRESHOLD = 0.04

[EMISSIVE_...]
NAME=INT_CLUSTER_SEATBELT
BIND_TO=STALLED
COLOR=5,1,0,3
TOGGLE_VISIBILITY = 1
INPUT_THRESHOLD = 0.04

[EMISSIVE_HANDBRAKE_0]
NAME=INT_CLUSTER_HANDBRAKE
TOGGLE_VISIBILITY = 1 
COLOR=50,3,1, 0.3
LAG=0.3
SIMULATE_HEATING=0.0
LOCATION=NONE

[EMISSIVE_...]
NAME=INT_CLUSTER_FUEL
TOGGLE_VISIBILITY = 1 
BIND_TO=FUEL
INPUT_THRESHOLD=7  
INPUT_THRESHOLD_INVERSE=1
COLOR=50,40,1,0.3
LAG=0.3

[LIGHT_LICENSEPLATE]
MESHES=EXT_PLATES
OFFSET=-0.16, 0.03, -0.03
RANGE=0.25
RANGE_GRADIENT_OFFSET=0.7
SPOT=140
SPOT_SHARPNESS=0.9
COLOR=12,11,10,0.25.10
FALLBACK_EMISSIVE=10,10,10,0.10
LAYOUT=TWO_ON_TOP
FADE_AT=20
FALLBACK_LOWBEAM_COLOR=1,1,1,0.5